/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proyecto;

import java.awt.Image;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

/**
 *
 * @author olive
 */
public class InicioSesion extends javax.swing.JFrame {

    /**
     * Creates new form InicioSesion
     */
    public InicioSesion() {
        initComponents();
          this.setLocationRelativeTo(null);
        this.setResizable(false);
       // logo deluxe
        ImageIcon ruta = new ImageIcon("src/multimedia/deluxe.jpg");
       Icon icono = new ImageIcon(ruta.getImage().getScaledInstance(lblLogo.getWidth(), lblLogo.getHeight(),Image.SCALE_DEFAULT));
       lblLogo.setIcon(icono);
        this.repaint();
        /// DELUXE
        ruta = new ImageIcon("src/multimedia/DELUXE.png");
        icono = new ImageIcon(ruta.getImage().getScaledInstance(lblDELUXE.getWidth(), lblDELUXE.getHeight(),Image.SCALE_DEFAULT));
       lblDELUXE.setIcon(icono);
        this.repaint();
        // DELUXE 2
         ruta = new ImageIcon("src/multimedia/deluxelogo.jpg");
         icono = new ImageIcon(ruta.getImage().getScaledInstance(lblDELUXE2.getWidth(), lblDELUXE2.getHeight(),Image.SCALE_DEFAULT));
       lblDELUXE2.setIcon(icono);
        this.repaint();
       
        /// icono de ventana
         ruta =new ImageIcon("src/multimedia/deluxelogo.jpg");
        this.setIconImage(ruta.getImage());
        
        
        
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnInciarSesion = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        lblDELUXE2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        txtContraseña = new javax.swing.JPasswordField();
        txtUsuario = new javax.swing.JTextField();
        lblDELUXE = new javax.swing.JLabel();
        lblLogo = new javax.swing.JLabel();
        lblfondo = new javax.swing.JLabel();
        lblDELUXE1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Deluxe - Inicio de Sesión");
        setBackground(new java.awt.Color(255, 255, 255));
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnInciarSesion.setBackground(new java.awt.Color(255, 102, 0));
        btnInciarSesion.setFont(new java.awt.Font("Berlin Sans FB", 0, 18)); // NOI18N
        btnInciarSesion.setForeground(new java.awt.Color(255, 255, 255));
        btnInciarSesion.setText("Iniciar sesión");
        btnInciarSesion.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(153, 153, 153)));
        btnInciarSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnInciarSesionActionPerformed(evt);
            }
        });
        getContentPane().add(btnInciarSesion, new org.netbeans.lib.awtextra.AbsoluteConstraints(480, 280, 110, 30));

        btnCancelar.setBackground(new java.awt.Color(255, 4, 181));
        btnCancelar.setFont(new java.awt.Font("Berlin Sans FB", 0, 18)); // NOI18N
        btnCancelar.setForeground(new java.awt.Color(255, 255, 255));
        btnCancelar.setText("Cancelar");
        btnCancelar.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(153, 153, 153)));
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar, new org.netbeans.lib.awtextra.AbsoluteConstraints(610, 280, 100, 30));

        lblDELUXE2.setText("lblDELUXE2");
        getContentPane().add(lblDELUXE2, new org.netbeans.lib.awtextra.AbsoluteConstraints(570, 20, 70, 40));

        jLabel3.setFont(new java.awt.Font("Berlin Sans FB Demi", 1, 24)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(0, 0, 0));
        jLabel3.setText(" Inicio de sesión");
        getContentPane().add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 80, 170, 30));

        jLabel1.setFont(new java.awt.Font("Berlin Sans FB", 1, 14)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(0, 0, 0));
        jLabel1.setText("Usuario");
        getContentPane().add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(640, 170, 60, -1));

        jLabel2.setFont(new java.awt.Font("Berlin Sans FB", 1, 14)); // NOI18N
        jLabel2.setForeground(new java.awt.Color(0, 0, 0));
        jLabel2.setText("Contraseña");
        getContentPane().add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(610, 250, 80, -1));

        jLabel4.setFont(new java.awt.Font("Berlin Sans FB", 1, 16)); // NOI18N
        jLabel4.setForeground(new java.awt.Color(255, 153, 0));
        jLabel4.setText("<html><u>¿Olvidaste tu contraseña?</u></html>");
        jLabel4.setToolTipText("<html><p>Que mal :( , yo tampoco me la sé </p><p>Pero prueba esta</p><p>U= Franchesco</p> <p>P=elpepe</p></html>");
        getContentPane().add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(510, 350, -1, -1));

        txtContraseña.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 0, new java.awt.Color(255, 102, 0)));
        getContentPane().add(txtContraseña, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 220, 170, 30));

        txtUsuario.setFont(new java.awt.Font("Berlin Sans FB Demi", 0, 12)); // NOI18N
        txtUsuario.setForeground(new java.awt.Color(0, 0, 0));
        txtUsuario.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 0, new java.awt.Color(255, 153, 0)));
        getContentPane().add(txtUsuario, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 140, 170, 30));

        lblDELUXE.setText("lblDELUXE");
        getContentPane().add(lblDELUXE, new org.netbeans.lib.awtextra.AbsoluteConstraints(140, 140, 270, 80));

        lblLogo.setText("jLabel2");
        getContentPane().add(lblLogo, new org.netbeans.lib.awtextra.AbsoluteConstraints(-40, -10, 510, 420));

        lblfondo.setBackground(new java.awt.Color(255, 255, 255));
        lblfondo.setOpaque(true);
        getContentPane().add(lblfondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 780, 410));

        lblDELUXE1.setText("jLabel2");
        getContentPane().add(lblDELUXE1, new org.netbeans.lib.awtextra.AbsoluteConstraints(490, 40, 150, 40));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
   
        System.exit(0);
        
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnInciarSesionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnInciarSesionActionPerformed
        
        String 
       Usuario = "admin",
       Contraseña = "admin";
        
         
      if(txtUsuario.getText().equals(Usuario) && txtContraseña.getText().equals(Contraseña)) 
      {
        JOptionPane.showMessageDialog(null,"Inicio de sesión Valido","Inicio Sesión",JOptionPane.INFORMATION_MESSAGE);
        this.dispose();
        bienvenida B = new bienvenida();
        B.setVisible(true);
      }     
      else
      {
       JOptionPane.showMessageDialog(null,"\"Inicio Sesión Fallido\\n Usuario u/o Contraseña incorrectos\n","Inicio de Sesión",JOptionPane.ERROR_MESSAGE);   
      }    
        
        
    }//GEN-LAST:event_btnInciarSesionActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(InicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(InicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(InicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(InicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new InicioSesion().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnInciarSesion;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel lblDELUXE;
    private javax.swing.JLabel lblDELUXE1;
    private javax.swing.JLabel lblDELUXE2;
    private javax.swing.JLabel lblLogo;
    private javax.swing.JLabel lblfondo;
    private javax.swing.JPasswordField txtContraseña;
    private javax.swing.JTextField txtUsuario;
    // End of variables declaration//GEN-END:variables
}
